"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@tangential/core");
var media_types_1 = require("@tangential/media-types");
var configurable_input_type_1 = require("./data-type/configurable-input-type");
var Model = {
    $isSystem: false,
    _inputName: null,
    orderIndex: null,
    disabled: false,
    label: 'Label for this value',
    typeConfig: null
};
var inputConfigRegistry = {};
var InputConfig = (function (_super) {
    __extends(InputConfig, _super);
    function InputConfig(_inputName, config, key) {
        var _this = _super.call(this, config, key) || this;
        _this._inputName = _inputName;
        _this.typeConfig = configurable_input_type_1.ConfigurableInputType.create(_this.typeConfig);
        if (_this.$key === 'when') {
            _this.$isSystem = true;
        }
        return _this;
    }
    InputConfig.register = function (inputConfigCtor) {
        inputConfigRegistry[inputConfigCtor['INPUT_NAME']] = inputConfigCtor;
    };
    InputConfig.create = function (config, key, inputName) {
        key = key || (config ? config.$key : null);
        inputName = inputName || (config ? config._inputName : null);
        return new inputConfigRegistry[inputName](config, key);
    };
    return InputConfig;
}(media_types_1.StampedMediaType));
InputConfig.$model = core_1.ObjectUtil.assignDeep({}, media_types_1.StampedMediaType.$model, Model);
exports.InputConfig = InputConfig;

//# sourceMappingURL=input-config.js.map
