"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@tangential/core");
var moment = require("moment");
//noinspection TypeScriptPreferShortImport
var date_time_type_1 = require("../../data-type/date-time/date-time-type");
//noinspection TypeScriptPreferShortImport
var number_type_1 = require("../../data-type/number/number-type");
var input_config_1 = require("../../input-config");
var Model = {
    label: 'Date & Time',
    labelPosition: 'before',
    disabled: false,
    format: 'YYYY-MM-dd HH:mm:ss',
    typeConfig: {
        _inputTypeKey: number_type_1.NumberType.TYPE_NAME,
        defaultToNow: true,
        beforeMils: null,
        afterMils: null,
        defaultValue: moment().startOf('hour').valueOf()
    }
};
var demoConfig = Object.assign({}, Model);
console.log('Loading DateTimeInputConfig', '');
var DateTimeInputConfig = (function (_super) {
    __extends(DateTimeInputConfig, _super);
    function DateTimeInputConfig(config, key) {
        var _this = _super.call(this, DateTimeInputConfig.INPUT_NAME, config || {}, key) || this;
        _this.typeConfig = new date_time_type_1.DateTimeType(_this.typeConfig);
        return _this;
    }
    DateTimeInputConfig.prototype.getDemoInstance = function () {
        return new DateTimeInputConfig(demoConfig);
    };
    return DateTimeInputConfig;
}(input_config_1.InputConfig));
DateTimeInputConfig.$model = core_1.ObjectUtil.assignDeep({}, input_config_1.InputConfig.$model, Model);
DateTimeInputConfig.INPUT_NAME = 'DateTimeInput';
exports.DateTimeInputConfig = DateTimeInputConfig;
input_config_1.InputConfig.register(DateTimeInputConfig);

//# sourceMappingURL=date-time-input-config.js.map
